/**
 * 20241029 ©WANGKANG 1686617586@qq.com
 */

package com.taais.biz.service;

import java.util.List;
import java.util.Map;

import com.taais.biz.domain.VideoStable;
import com.taais.biz.domain.bo.VideoStableStartResultBo;
import com.taais.biz.domain.vo.VideoStableVo;
import com.taais.biz.domain.bo.VideoStableBo;
import com.taais.common.core.core.domain.CommonResult;
import com.taais.common.orm.core.service.IBaseService;
import com.taais.common.core.core.page.PageResult;

/**
 * 视频去抖动Service接口
 *
 * @author 0
 * 2024-08-30
 */
public interface IVideoStableService extends IBaseService<VideoStable> {
    /**
     * 查询视频去抖动
     *
     * @param id 视频去抖动主键
     * @return 视频去抖动
     */
        VideoStableVo selectById(Long id);

    /**
     * 查询视频去抖动列表
     *
     * @param videoStableBo 视频去抖动Bo
     * @return 视频去抖动集合
     */
    List<VideoStableVo> selectList(VideoStableBo videoStableBo);

    /**
     * 分页查询视频去抖动列表
     *
     * @param videoStableBo 视频去抖动Bo
     * @return 分页视频去抖动集合
     */
    PageResult<VideoStableVo> selectPage(VideoStableBo videoStableBo);

    /**
     * 新增视频去抖动
     *
     * @param videoStableBo 视频去抖动Bo
     * @return 结果:true 操作成功，false 操作失败
     */
    boolean insert(VideoStableBo videoStableBo);

    /**
     * 修改视频去抖动
     *
     * @param videoStableBo 视频去抖动Bo
     * @return 结果:true 更新成功，false 更新失败
     */
    boolean update(VideoStableBo videoStableBo);

    /**
     * 批量删除视频去抖动
     *
     * @param ids 需要删除的视频去抖动主键集合
     * @return 结果:true 删除成功，false 删除失败
     */
    boolean deleteByIds(Long[] ids);

    CommonResult start(Long id);

    CommonResult getResult(VideoStableStartResultBo videoStableStartResultBo);

    Object getCompareNum(Long taskId);

    CommonResult stop(Long id);

    List<Map<String, String>> getImages(Long ossId);
}
